#! /bin/sh

if [ "$1" == "" ]; then
	exit 1
fi

mounted=`mount | grep $1 | wc -l | awk '{print $1}'`

# mounted, assume we umount
if [ $mounted -ge 1 ]; then
	if ! umount "/dev/$1"; then
		exit 1
	fi

	if ! rmdir "/media/$1"; then
		exit 1
	fi
# not mounted, lets mount under /media
else
	if ! mkdir -p "/media/$1"; then
		exit 1
	fi

	if ! mount -o sync "/dev/$1" "/media/$1"; then
		# failed to mount, clean up mountpoint
		if ! rmdir "/media/$1"; then
			exit 1
		fi
		exit 1
	fi
fi

exit 0
